import request from 'src/utils/request'

// 查询子系统版本管理列表
export function listSubsystemversion(query) {
  return request({
    url: '/qrcode/device/subsystemversion/list',
    method: 'get',
    params: query
  })
}

// 查询子系统版本管理详细
export function getSubsystemversion(id) {
  return request({
    url: '/qrcode/device/subsystemversion/' + id,
    method: 'get'
  })
}

// 新增子系统版本管理
export function addSubsystemversion(data) {
  return request({
    url: '/qrcode/device/subsystemversion',
    method: 'post',
    data: data
  })
}

// 修改子系统版本管理
export function updateSubsystemversion(data) {
  return request({
    url: '/qrcode/device/subsystemversion',
    method: 'put',
    data: data
  })
}

// 删除子系统版本管理
export function delSubsystemversion(id) {
  return request({
    url: '/qrcode/device/subsystemversion/' + id,
    method: 'delete'
  })
}
